if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	RTB_registerPref("Disable Trust Invites", "Trust Invites", "$Pref::Server::noTrustInvites", "bool", "Server_NoTrustInvites", true, false, false, "");
	RTB_registerPref("Admin Bypass", "Trust Invites", "$Pref::Server::noTrustInvitesAdminByPass", "bool", "Server_NoTrustInvites", true, false, false, "");
	RTB_registerPref("Allow outside of mini-games", "Trust Invites", "$Pref::Server::noTrustInvitesMinigames", "bool", "Server_NoTrustInvites", true, false, false, "");
}
else
	$Pref::Server::noTrustInvites = true;


package NoTrustInvites
{
	function serverCmdTrust_Invite(%client, %targetClient, %targetBL_ID, %level)
	{
		if($Pref::server::noTrustInvites && !($Pref::Server::noTrustInvitesAdminByPass && %client.isAdmin))
		{
			%inMini = isObject(getMinigameFromObject(%targetClient));
			if(%inMini || (!%inMini && $Pref::Server::noTrustInvitesMinigames == 0))
				commandToClient(%client, 'messageBoxOK', "Oh no", "Trust invites have been disabled for this person.");
			else
				parent::serverCmdTrust_Invite(%client, %targetClient, %targetBL_ID, %level);
		}
		else
			parent::serverCmdTrust_Invite(%client, %targetClient, %targetBL_ID, %level);
	}
};
activatePackage(NoTrustInvites);